<div class="grid">

	<header class="row no-padding  clearfix">
		<div class="col-2-3 no-padding"><h2>Användare</h2></div>

		<button class="col-1-3 new" ui-sref="user.company.delegates.new({orgNr: orgNr})"><i class="fa fa-plus"></i><span class="icon-title">Ny Användare</span>
		</button>

	</header>
	<div class="row clearfix">
		<p class="col-1">Andra användare som ska arbeta med företaget.</p>
		<div svab-feedback-target="delegates.get"></div>
		<div svab-feedback-target="delegates.update"></div>
		<div svab-feedback-target="delegates.delete"></div>
	</div>

	<div ng-show="delegates.length > 0" class="row clearfix fake-table">
		<ul class="col-1 clearfix">
			<li class="col-1 fake-row-heading clearfix">
				<ul class="col-5-6">
					<li class="col-1-3 fake-heading">Personnummer</li>
					<li class="col-1-3 fake-heading">Tel.nr</li>
					<li class="col-1-3 fake-heading">Email</li>
				</ul>
				<ul class="col-1-6"></ul>
			</li>

			<li class="col-1 fake-row clearfix" ng-repeat="delegate in delegates">

				<ul ng-hide="delegate.editing" class="col-5-6 clearfix">
					<li class="col-1-3"><span>{{delegate.pNr}}</span></li>
					<li class="col-1-3"><span>{{delegate.contactInfo.phoneNumber}}</span></li>
					<li class="col-1-3"><span>{{delegate.contactInfo.email}}</span></li>
				</ul>

				<ul ng-show="delegate.editing" class="col-5-6 clearfix editing">
					<form name="delegateForm" novalidate class="clearfix">
						<li class="col-1-3 non-editable"><strong>{{delegate.pNr}}</strong></li>
						<li class="col-1-3 editable">
							<input type="text"
							       name="contactDetailsPhoneNumber"
							       ng-model="delegate.contactInfo.phoneNumber"
							       placeholder="EX: 070 123 4567"
							       required
							       ng-pattern="/^[0-9]*$/"/>

							<div ng-messages="delegateForm.contactDetailsPhoneNumber.$error" ng-show="delegateForm.contactDetailsPhoneNumber.$touched">
								<p class="form-feedback error" ng-message="required">Ange telefonnummer</p>
								<p class="form-feedback error" ng-message="pattern">Ange telefonnummer med enbart siffror</p>
							</div>
						</li>
						<li class="col-1-3 editable">
							<input type="email" name="contactDetailsEmail" ng-model="delegate.contactInfo.email" placeholder="EX: lorem@ipsum.se" required/>

							<div ng-messages="delegateForm.contactDetailsEmail.$error" ng-show="delegateForm.contactDetailsEmail.$touched">
								<p class="form-feedback error" ng-message="required">Ange email</p>
								<p class="form-feedback error" ng-message="email">Ange giltig email</p>
							</div>
						</li>
					</form>
				</ul>

				<ul class="col-1-6 edit-this" ng-class="{editing: delegate.editing}">

					<li class="col-1" ng-hide="delegate.editing">
						<span class="edit" ng-click="edit(delegate)">Redigera</span>
						<span class="divider">|</span>
						<span class="delete" really-message="Bekräfta radering" really-click="remove(delegate)">Radera</span>
					</li>

					<li class="col-1" ng-show="delegate.editing">
						<span class="update" ng-click="save(delegate, delegateForm)">Spara</span>
						<span class="divider">|</span>
						<span class="cancel" ng-click="undoEdit(delegate, delegateForm)">Ångra</span>
					</li>

				</ul>

			</li>

		</ul>
	</div>

</div>